javax.enterprise.deploy.model

## Class XpathEvent

- java.lang.Object
- - javax.enterprise.deploy.model.XpathEvent

-     public final class XpathEvent
      extends Object

  An Event class describing ConfigBeans being added/subtracted from a server configuration.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Object` | `BEAN_ADDED` Adding a DDBean
    `static Object` | `BEAN_CHANGED` Changing a DDBean
    `static Object` | `BEAN_REMOVED` Removing a DDBean

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XpathEvent(DDBean bean, Object typ)` A description of a change in the ConfigBean tree.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DDBean` | `getBean()` The bean being added/removed/changed.
    `PropertyChangeEvent` | `getChangeEvent()`
    `boolean` | `isAddEvent()` Is this an add event?
    `boolean` | `isChangeEvent()` Is this a change event?
    `boolean` | `isRemoveEvent()` Is this a remove event?
    `void` | `setChangeEvent(PropertyChangeEvent pce)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BEAN_ADDED

          public static final Object BEAN_ADDED

      Adding a DDBean

    - #### BEAN_REMOVED

          public static final Object BEAN_REMOVED

      Removing a DDBean

    - #### BEAN_CHANGED

          public static final Object BEAN_CHANGED

      Changing a DDBean

  - ### Constructor Detail

    - #### XpathEvent

          public XpathEvent(DDBean bean,
                    Object typ)

      A description of a change in the ConfigBean tree.
      Parameters:
        `bean` - The ConfigBean being added/removed.
        `typ` - Indicates an add/remove event.

  - ### Method Detail

    - #### getChangeEvent

          public PropertyChangeEvent getChangeEvent()

    - #### setChangeEvent

          public void setChangeEvent(PropertyChangeEvent pce)

    - #### getBean

          public DDBean getBean()

      The bean being added/removed/changed.
      Returns:
        The bean being added/removed/changed.

    - #### isAddEvent

          public boolean isAddEvent()

      Is this an add event?
      Returns:
        true if this is an add event.

    - #### isRemoveEvent

          public boolean isRemoveEvent()

      Is this a remove event?
      Returns:
        true if this is a remove event.

    - #### isChangeEvent

          public boolean isChangeEvent()

      Is this a change event?
      Returns:
        true if this is a change event.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.